libgdamm Reference Documentation

Main Page Namespaces Book

# dictconstraint.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::DictConstraint
| Represents a constraint within a database. More...

## Enumerations

enum | Gnome::Gda::DictConstraintFkAction { Gnome::Gda::FK_ACTION_CASCADE, Gnome::Gda::FK_ACTION_SET_NULL, Gnome::Gda::FK_ACTION_SET_DEFAULT, Gnome::Gda::FK_ACTION_SET_VALUE, Gnome::Gda::FK_ACTION_NO_ACTION }
enum | Gnome::Gda::DictConstraintType { Gnome::Gda::PRIMARY_KEY, Gnome::Gda::FOREIGN_KEY, Gnome::Gda::UNIQUE, Gnome::Gda::NOT_NULL, Gnome::Gda::CHECK_EXPR, Gnome::Gda::CHECK_IN_LIST, Gnome::Gda::CHECK_SETOF_LIST, Gnome::Gda::UNKNOWN }